Skip to main content
`Ctrl`+`K`

# ContrastBiasStretch

class astropy.visualization.ContrastBiasStretch(contrast, bias)

  Bases: `BaseStretch`

  A stretch that takes into account contrast and bias.

  The stretch is given by:

  \[y = (x - {\rm bias}) * {\rm contrast} + 0.5\]

  and the output values are clipped to the [0:1] range.

  Parameters:
    contrast `python:float`

      The contrast parameter (see the above formula).

    bias `python:float`

      The bias parameter (see the above formula).

  Examples

  (`Source code`, `png`, `svg`, `pdf`)

  Attributes Summary

  `inverse` | A stretch object that performs the inverse operation.

  Methods Summary

  `__call__`(values[, clip, out]) | Transform values using this stretch.

  Attributes Documentation

  inverse

    A stretch object that performs the inverse operation.

  Methods Documentation

  __call__(values, clip=True, out=None)

    Transform values using this stretch.

    Parameters:
      values numpy:array_like

        The input values, which should already be normalized to the [0:1] range.

      clip bool, optional

        If `True` (default), values outside the [0:1] range are clipped to the [0:1] range.

      out `ndarray`, optional

        If specified, the output values will be placed in this array (typically used for in-place calculations).

    Returns:
      result `ndarray`

        The transformed values.